Subject: Re: [Int-area] draft-bonica-intarea-frag-fragile-01

From: Ron Bonica <[email-masked]>
Date: Thu, 31 May 2018 19:53:20 +0000

Mikael,

Response inline......

                     Ron

> -----Original Message-----
> From: Mikael Abrahamsson <[email-masked]>
> Sent: Tuesday, March 20, 2018 5:20 AM
> To: [email-masked]; Ron Bonica <[email-masked]>
> Subject: draft-bonica-intarea-frag-fragile-01
> 
> 
> Hi,
> 
> as promised in v6ops, I will suggest text. The current -01 text is:
> 
> 7.2.  For Network Operators
> 
>     As per RFC 4890, network operators MUST NOT filter ICMPv6 PTB
>     messages unless they are known to be forged or otherwise
>     illegitimate.  As stated in Section 4.5, filtering ICMPv6 PTB packets
>     causes PMTUD to fail.  Many upper-layer protocols rely on PMTUD.
> 
> So perhaps text along these lines:
> 
> --
> As per RFC 4890, network operators MUST NOT filter ICMPv6 PTB messages
> unless they are known to be forged or otherwise illegitimate. As stated in
> Section 4.5, filtering ICMPv6 PTB packets causes PMTUD to fail. Operators
> MUST ensure proper PMTUD operation in their network, including making
> sure the network generates PTB packets when dropping packets too large
> compared to outgoing interface MTU.
> 
> Many upper-layer protocols rely on PMTUD.

Your text will be in the next version of the draft.

> --
> 
> I have also encountered lots of people who think that as long as they do MSS
> capping, they don't have to worry about anything. Should we include text on
> their behalf?

I think that they are OK, at least in IPv6 networks. Do I have that wrong?

> 
> Another thing, I would like to see text somewhere (perhaps 7.1) that states
> that protocols/applications should do PLMTUD. I would like to see TCP having
> this default on in all operating systems.

While I would agree with the recommendation, I might be overstepping my charter if I made it. Isn't that a call for the transport area to make?

                                           Ron

> 
> --
> Mikael Abrahamsson    email: [email-masked]